Компрометация системы в FreeRADIUS

Дата публикации:
11.09.2012
Дата изменения:
11.09.2012
Всего просмотров:
1191
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
CVE ID:
CVE-2012-3547
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FreeRADIUS 2.x
Уязвимые версии: FreeRADIUS версии до 2.2.0.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "cbtls_verify()" при обработке клиентских сертификатов. Удаленный пользователь может вызвать переполнение буфера в стеке и выполнить произвольный код на целевой системе.

Для успешной эксплуатации уязвимости необходимо, чтобы в конфигурации использовался метод TLS-based EAP (к примеру, EAP-TLS, EAP-TTLS и PEAP).

URL производителя: http://freeradius.org/

Решение: Установите последнюю версию 2.2.0 с сайта производителя.

Ссылки: http://freeradius.org/security.html
http://seclists.org/oss-sec/2012/q3/419

или введите имя

CAPTCHA